Bug 767387 - (CVE-2011-3905) CVE-2011-3905 libxml2 out of bounds read
CVE-2011-3905 libxml2 out of bounds read
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20111213,reported=2...
: Security
Depends On: 820846 755814 771904 771906 771907 771910 771913 772122 833934 891477 891478
Blocks: 767389 771915 891480
  Show dependency treegraph
 
Reported: 2011-12-13 17:47 EST by Kurt Seifried
Modified: 2016-03-04 05:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2011-12-13 17:47:11 EST
Reference: CONFIRM:http://code.google.com/p/chromium/issues/detail?id=95465 [Open URL]
Reference: CONFIRM:http://googlechromereleases.blogspot.com/2011/12/stable-channel-update.html [Open URL]

libxml2, as used in Google Chrome before 16.0.912.63, allows remote attackers to cause a denial of service (out-of-bounds read) via unspecified vectors.
Comment 2 Huzaifa S. Sidhpurwala 2011-12-14 00:57:46 EST
This issue affects the version of libxml2 as shipped with Red Hat Enterprise Linux 4, 5 and 6.

This issue affects the version of libxml2 as shipped with Fedora release 15 and 16.
Comment 4 Daniel Veillard 2011-12-14 03:25:20 EST
I just commited the latest patch upstream as this looks correct to me

http://git.gnome.org/browse/libxml2/commit/?id=77404b8b69bc122d12231807abf1a837d121b551

Daniel
Comment 6 Kurt Seifried 2011-12-14 12:26:41 EST
This patch was also pointed out:

http://src.chromium.org/viewvc/chrome?view=rev&revision=100953
Comment 13 errata-xmlrpc 2012-01-11 12:50:02 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0017 https://rhn.redhat.com/errata/RHSA-2012-0017.html
Comment 14 errata-xmlrpc 2012-01-11 12:50:25 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2012:0016 https://rhn.redhat.com/errata/RHSA-2012-0016.html
Comment 15 errata-xmlrpc 2012-01-11 13:00:36 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0018 https://rhn.redhat.com/errata/RHSA-2012-0018.html
Comment 16 Vincent Danen 2012-01-11 14:11:21 EST
Created libxml2 tracking bugs for this issue

Affects: fedora-all [bug 772122]
Comment 17 Huzaifa S. Sidhpurwala 2012-01-12 00:42:32 EST
Created mingw32-libxml2 tracking bugs for this issue

Affects: fedora-all [bug 755814]
Comment 18 Huzaifa S. Sidhpurwala 2012-01-12 00:42:42 EST
Statement:

This issue affects the version of libxml2 as shipped with Red Hat Enterprise
Linux 4, 5 and 6 and has been addressed via RHSA-2012:0016, RHSA-2012:0017 and
RHSA-2012:0018 respectively. This issue affects the version of mingw32-libxml2
as shipped with Red Hat Enterprise Linux 6. The Red Hat Security Response Team
has rated this issue as having low security impact. A future update may address
this issue in Red Hat Enterprise Linux 6.
Comment 21 errata-xmlrpc 2013-01-31 14:33:19 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0217 https://rhn.redhat.com/errata/RHSA-2013-0217.html

Note You need to log in before you can comment on or make changes to this bug.